Subject: [Cfrg] I'd like the CFRG to help me raise an objection

From: "Salz, Rich" <[email-masked]>
Date: Fri, 16 May 2014 12:59:51 -0400

I am sorry for the real short notice; the deadline is May 20, but I only just learned that this is an option.

The W3C webcrypto working group has a JavaScript API to crypto.  The spec is available at [1].  It is huge, but most of it is API details.  The key concern is section 18, which is only a couple of pages long and can be found at [2]. After reading the earlier threads I started a discussion on the public comments list (archives at [3]).  Basically, I took the recommendations that Kenny and others posted here, and turned it into a bug report [4].

Public discussion notwithstanding, I've been told, privately, that there is real support for my suggestions.  I am writing here to solicit more support so that if I (or, more accurately, my employer) go forward with a formal objection, there's more likely that the WG and the Director will accept the suggestions.

I think the most practical thing to do is for anyone who has the time and interest to let me know if I can add your name as a supporter of the objection (direct email or post) . Or write something in the bug itself.  Feel free to include any credentials or affiliations or notes.

If we do file an objection, there will be more time for the CFRG to present an opinion, and I will be back asking for that. But for now, I'm looking to see if there's support to move forward. And I have until Tuesday :(.

Thanks.

                /r$

[1] http://www.w3.org/TR/2014/WD-WebCryptoAPI-20140325/
[2] http://www.w3.org/TR/2014/WD-WebCryptoAPI-20140325/#algorithms
[3] http://lists.w3.org/Archives/Public/public-webcrypto-comments/
[4] https://www.w3.org/Bugs/Public/show_bug.cgi?id=25607

--
Principal Security Engineer
Akamai Technologies, Cambridge, MA
IM: [email-masked]<mailto:[email-masked]>; Twitter: RichSalz